package oop.Enumeration;

public enum Wochentage {// erbt von abstract class (enum)
	// wenn eine Konstante einen Konstruktor hat, dann sollen Alle Konstaten sollen einen Konstruktor haben 
	 /*
	  * 	MONTAG("Arbeitstag"), 
	  *  	DIENSTAG("Arbeitstag");
	  */
	
	// Alle Konstanten sollen die abstrakte Methoden implementieren
	MONTAG ("Konstruktor: Montag") {
		@Override
		public void testmethode() {
			System.out.println("Montag");
		}
		
	},
	DIENSTAG ("Konstruktor: Diesnstag"){
		@Override
		public void testmethode() {
			System.out.println("Diesnstag");
		}
	};
	String status;
	
	Wochentage(String status){
		this.status = status;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	public abstract void testmethode();
	
	
}
